using Autofac;
using JiaZhiQuan.Common.Config;

namespace JiaZhiQuan.Common.IoC
{
    public static class AutofacInjection
    {
        public static void RegisterCommon(this ContainerBuilder containerBuilder)
        {
            containerBuilder.RegisterAssemblyTypes(typeof(AutofacInjection).Assembly).AsImplementedInterfaces();

            containerBuilder.RegisterModule<CommonModule>();
        }
    }
}
